Package org.opencv.imgproc

## Class Filter2DParams

- java.lang.Object
- - org.opencv.imgproc.Filter2DParams

-     public class Filter2DParams
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected long` | `nativeObj` |

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `Filter2DParams​(long addr)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Filter2DParams` | `__fromPtr__​(long addr)` |
    `protected void` | `finalize()` |
    `int` | `get_anchorX()` |
    `int` | `get_anchorY()` |
    `int` | `get_borderType()` |
    `int` | `get_ddepth()` |
    `double` | `get_scale()` |
    `double` | `get_shift()` |
    `long` | `getNativeObjAddr()` |
    `void` | `set_anchorX​(int anchorX)` |
    `void` | `set_anchorY​(int anchorY)` |
    `void` | `set_borderType​(int borderType)` |
    `void` | `set_ddepth​(int ddepth)` |
    `void` | `set_scale​(double scale)` |
    `void` | `set_shift​(double shift)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### nativeObj

          protected final long nativeObj

  - ### Constructor Detail

    - #### Filter2DParams

          protected Filter2DParams​(long addr)

  - ### Method Detail

    - #### getNativeObjAddr

          public long getNativeObjAddr()

    - #### __fromPtr__

          public static Filter2DParams __fromPtr__​(long addr)

    - #### get_anchorX

          public int get_anchorX()

    - #### set_anchorX

          public void set_anchorX​(int anchorX)

    - #### get_anchorY

          public int get_anchorY()

    - #### set_anchorY

          public void set_anchorY​(int anchorY)

    - #### get_borderType

          public int get_borderType()

    - #### set_borderType

          public void set_borderType​(int borderType)

    - #### get_ddepth

          public int get_ddepth()

    - #### set_ddepth

          public void set_ddepth​(int ddepth)

    - #### get_scale

          public double get_scale()

    - #### set_scale

          public void set_scale​(double scale)

    - #### get_shift

          public double get_shift()

    - #### set_shift

          public void set_shift​(double shift)

    - #### finalize

          protected void finalize()
                           throws java.lang.Throwable

      Overrides:
        `finalize` in class `java.lang.Object`
      Throws:
        `java.lang.Throwable`